- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# CShockwaveFlash Class Reference

List of all members.

## Public Member Functions
CLSID const & | GetClsid ()
virtual BOOL | Create (LPCTSTR lpszClassName, LPCTSTR lpszWindowName, DWORD dwStyle, const RECT &rect, CWnd *pParentWnd, UINT nID, CCreateContext *pContext=NULL)
BOOL | Create (LPCTSTR lpszWindowName, DWORD dwStyle, const RECT &rect, CWnd *pParentWnd, UINT nID, CFile *pPersist=NULL, BOOL bStorage=FALSE, BSTR bstrLicKey=NULL)
long | get_ReadyState ()
long | get_TotalFrames ()
BOOL | get_Playing ()
void | put_Playing (BOOL newValue)
long | get_Quality ()
void | put_Quality (long newValue)
long | get_ScaleMode ()
void | put_ScaleMode (long newValue)
long | get_AlignMode ()
void | put_AlignMode (long newValue)
long | get_BackgroundColor ()
void | put_BackgroundColor (long newValue)
BOOL | get_Loop ()
void | put_Loop (BOOL newValue)
CString | get_Movie ()
void | put_Movie (LPCTSTR newValue)
long | get_FrameNum ()
void | put_FrameNum (long newValue)
void | SetZoomRect (long left, long top, long right, long bottom)
void | Zoom (long factor)
void | Pan (long x, long y, long mode)
void | Play ()
void | Stop ()
void | Back ()
void | Forward ()
void | Rewind ()
void | StopPlay ()
void | GotoFrame (long FrameNum)
long | CurrentFrame ()
BOOL | IsPlaying ()
long | PercentLoaded ()
BOOL | FrameLoaded (long FrameNum)
long | FlashVersion ()
CString | get_WMode ()
void | put_WMode (LPCTSTR newValue)
CString | get_SAlign ()
void | put_SAlign (LPCTSTR newValue)
BOOL | get_Menu ()
void | put_Menu (BOOL newValue)
CString | get_Base ()
void | put_Base (LPCTSTR newValue)
CString | get_Scale ()
void | put_Scale (LPCTSTR newValue)
BOOL | get_DeviceFont ()
void | put_DeviceFont (BOOL newValue)
BOOL | get_EmbedMovie ()
void | put_EmbedMovie (BOOL newValue)
CString | get_BGColor ()
void | put_BGColor (LPCTSTR newValue)
CString | get_Quality2 ()
void | put_Quality2 (LPCTSTR newValue)
void | LoadMovie (long layer, LPCTSTR url)
void | TGotoFrame (LPCTSTR target, long FrameNum)
void | TGotoLabel (LPCTSTR target, LPCTSTR label)
long | TCurrentFrame (LPCTSTR target)
CString | TCurrentLabel (LPCTSTR target)
void | TPlay (LPCTSTR target)
void | TStopPlay (LPCTSTR target)
void | SetVariable (LPCTSTR name, LPCTSTR value)
CString | GetVariable (LPCTSTR name)
void | TSetProperty (LPCTSTR target, long property, LPCTSTR value)
CString | TGetProperty (LPCTSTR target, long property)
void | TCallFrame (LPCTSTR target, long FrameNum)
void | TCallLabel (LPCTSTR target, LPCTSTR label)
void | TSetPropertyNum (LPCTSTR target, long property, double value)
double | TGetPropertyNum (LPCTSTR target, long property)
double | TGetPropertyAsNumber (LPCTSTR target, long property)
CString | get_SWRemote ()
void | put_SWRemote (LPCTSTR newValue)
CString | get_FlashVars ()
void | put_FlashVars (LPCTSTR newValue)
CString | get_AllowScriptAccess ()
void | put_AllowScriptAccess (LPCTSTR newValue)

## Detailed Description

Definition at line 29 of file CShockwaveFlash.h.

The documentation for this class was generated from the following file:

- C:/guliverkli/src/apps/mplayerc/CShockwaveFlash.h